org.codehaus.groovy.util

## Class ArrayIterator<T>

- java.lang.Object
- - org.codehaus.groovy.util.ArrayIterator<T>

All Implemented Interfaces:
  java.util.Iterator<T>

    public class ArrayIterator<T>
    extends java.lang.Object
    implements java.util.Iterator<T>

### Constructor Summary

Constructors
Constructor and Description
`ArrayIterator(T[] array)`

### Method Summary

Methods
`boolean` `hasNext()`
`T` `next()`
`void` `remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArrayIterator

    public ArrayIterator(T[] array)

### Method Detail

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `java.util.Iterator<T>`

#### next

    public T next()

Specified by:
  `next` in interface `java.util.Iterator<T>`

#### remove

    public void remove()

Specified by:
  `remove` in interface `java.util.Iterator<T>`